Net2 software – compatibility and support

Net2 software is compatible with the following Microsoft operating systems:

OS Version Supported Recommended version of Net2
Windows XP support up to specific version of Net2 Net2 v4.28
Windows 7 Net2 v6+
Windows 8 support up to specific version of Net2 5.04.6918
Windows 8.1 Net2 v6+
Windows 10 Net2 v6+
Windows Server 2003 support up to specific version of Net2 Net2 v4.28
Windows Server 2008 support up to specific version of Net2 Net2 v4.28
Windows Server 2008 R2 SP1 support up to specific version of Net2 Net2 v5.04.6918
Window Server 2008 (Domain Controller) support up to specific version of Net2 Net2 v4.27.7614
Windows Server 2012 R2 Net2 v6+
Windows Server 2012 R2 Domain Controller no support n/a
Windows Server 2016 Net2 v6+
Windows Server 2016 Domain Controller no support n/a
Windows Server 2019 Net2 v6+
Windows Server 2019 Domain Controller no support n/a

* Requires Windows Server 2008 R2 and Service Pack 1

In each case, the compatibility is conditional on up to date service packs and updates being applied. Server operating systems are compatible, but will probably require IT expertise unavailable from our support team in order to complete a working installation. This particularly applies to special versions of operating systems.

Administrator rights to the PC are required in order to install the Net2 software and user rights are necessary in order to use Net2 software.

Anti-virus or spyware programs may interfere with the installation of any software, including Net2. We recommend McAfee which seems to give the fewest problems. In the event of difficulties during installation of Net2, we advise that the anti-virus software should be disabled. Should difficulties persist once the anti-virus software is re-enabled, the person responsible for supporting the anti-virus software should be consulted. Our support team will be unable to offer advice in this event.

Please note that as of v5.00 Windows XP and Windows Server 2003 operating systems are not supported. For continued compatibility, users can remain on versions up to v4.28.

Microsoft do not recommend installing SQL on a Domain Controller due to security risks using SQL 2008/2012 on a Domain Controller, for this reason we have prevented the install of Net2 on Domain Controllers from v4.28 onwards.

For further information, please contact technical support.

Compatibility – Hardware

A PC of the following specification is required in order to run Net2 software:

Intel® Pentium® Dual-Core 2.00GHz (or equivalent)
4GB RAM or greater
Minimum 20GB free disk space
DVD-ROM drive
256 colours @ 1024 x 768
Serial port, USB2 or Ethernet

For optimal performance we recommend the following PC specification:

Intel® Core™2 Quad Processor (or equivalent)
8GB RAM or greater
Minimum 20GB free disk space
DVD-ROM drive
256 colours @ 1024 x 768
USB2 or Ethernet

SIP Server/Client requirements:

H.264 video codec
G.711 (PCMU/A) audio codec
SIP INFO or RFC2833 is required to open doors remotely via a SIP client (Other DTMF formats are not supported)
In order to guarantee compatibility with a 3rd party SIP server/client, we recommend testing the system with the Net2 Entry panel prior to installation.

Compatibility – Network

Where devices have an Ethernet network port, (e.g. a TCP/IP RS485 interface, or a Net2 I/O board) the device will be compatible with IEEE802.3 Ethernet infrastructures supporting 10BaseT at 10Mbps using the IPV4 network protocol.

IP data traffic between the user interface software and the server software (where client server mode is used) and between the Server software and the I/O boards use ports in the range 6474 to 6485 inclusive. When using a TCP/IP RS485 adaptor, ports 10001 and 30718 are used. A combination of TCP and UDP communications are in use. This should be taken into account in routers where port filtering or forwarding are employed.

We recommend that wherever Net2 data are communicated over TCP/IP, data security and vulnerability of components should be considered. A virtual private network (VPN) should be used where traffic is carried over the public internet, and secure VLAN’s are advisable on vulnerable internal networks. We advise that the network connection and security should be provided by a competent person and their configuration and design are outside the capability of our support team.

Network security considerations

Implementing the correct level of network security on your site is strongly encouraged. It is the responsibility of the user to use the appropriate level of security for your site. Paxton recommends the following IT security precautions for your reference. Please click here for more information.

Support

We have a telephone support team available to advise on the installation of Net2 software and its use. They are able to take enquiries from installers before or after commissioning a system, and from those using the system.

Our support team is trained in the use of the software and understand the basic procedures for installing it on the recommended operating systems. Almost all installations are straightforward and require no advice or help from us. However, where unusual problems do occur, it may be necessary to revert to more experienced members of our support team or development team for advice. This may require a number of contacts by telephone over several days.

Advice given by our support team may be restricted to installation and operation of the Net2 system and software only. Any other advice given or discussions relating to PC hardware, operating systems, network infrastructure or any system or software not provided by Paxton Access are informal, without obligation and are not intended as a replacement for appropriate professional skills which should be provided by the installer. Our Terms and Conditions of Sale also apply.